<html>
<head>
<title>Ogre::ResourceGroupManager::ResourceGroup Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html">ResourceGroup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceGroupManager::ResourceGroup Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceGroupManager::ResourceGroup" -->
<p><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> group entry.  
 <a href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9">Status</a> { <br/>
&#160;&#160;<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9a832fe1c1854534cc89460a355c1561e8">UNINITIALSED</a> =  0, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9a5fd41aebef904c4603a411714061da11">INITIALISING</a> =  1, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9a1a46cc3cb71014c4a85f4a07e1e41f7a">INITIALISED</a> =  2, 
<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9a855699c308cdd8ccdb67358e4502c658">LOADING</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9a8ec861cc686d84a5ad41433dd856464c">LOADED</a> =  4
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1ResourceGroupManager.html#ae78277e18f7f03269812115fd29239e7">LoadUnloadResourceList</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0aa34082b2c1406c9209953c32fa6397">LoadResourceOrderMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Created resources which are ready to be loaded / unloaded.  <a href="#a0aa34082b2c1406c9209953c32fa6397"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a65465b388927f072dd6449ff7cf745ab">addToIndex</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#aa1488edee01261bf437111fd5ace2535">removeFromIndex</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ab60f943332043c51b1255739bcd7d138">removeFromIndex</a> (<a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a9c7120b86ff8f19d81f0fac0a1523512">name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">General mutex for dealing with group content.  <a href="#a9c7120b86ff8f19d81f0fac0a1523512"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9">Status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a3c30f2b5b6146336738c1e50d5bd8734">groupStatus</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Group status.  <a href="#a3c30f2b5b6146336738c1e50d5bd8734"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#a039c42be59f29534c5883888c969a1c2">LocationList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a9f040193d573d26cf739005465f4acc7">locationList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of possible locations to search.  <a href="#a9f040193d573d26cf739005465f4acc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7bef8c8877dc6bed2c26cbdf7d0b5a1">ResourceLocationIndex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a8e1f8b2b90535ba8e6a8d81a30888494">resourceIndexCaseSensitive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index of resource names to locations, built for speedy access (case sensitive archives)  <a href="#a8e1f8b2b90535ba8e6a8d81a30888494"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7bef8c8877dc6bed2c26cbdf7d0b5a1">ResourceLocationIndex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a40aa3f3b164cf9e1b3bf318dcf3c1283">resourceIndexCaseInsensitive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index of resource names to locations, built for speedy access (case insensitive archives)  <a href="#a40aa3f3b164cf9e1b3bf318dcf3c1283"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ResourceGroupManager.html#a995494b3213135be428eef21990744e5">ResourceDeclarationList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a130233f52a76fc38ca6fadc4d3182a9c">resourceDeclarations</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pre-declared resources, ready to be created.  <a href="#a130233f52a76fc38ca6fadc4d3182a9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0aa34082b2c1406c9209953c32fa6397">LoadResourceOrderMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ac63251bf3f946d2b4dc42341b61d4d2a">loadResourceOrderMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a63a048530dfded3f7e6189743643578a">worldGeometry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Linked world geometry, as passed to setWorldGeometry.  <a href="#a63a048530dfded3f7e6189743643578a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a5c0395505e94f137cf4d5bced4054de6">worldGeometrySceneManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scene manager to use with linked world geometry.  <a href="#a5c0395505e94f137cf4d5bced4054de6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0619634f1a574be476c2171faeb252cc">inGlobalPool</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> group entry. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00306">306</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a0aa34082b2c1406c9209953c32fa6397"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap" ref="a0aa34082b2c1406c9209953c32fa6397" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>, <a class="el" href="classOgre_1_1ResourceGroupManager.html#ae78277e18f7f03269812115fd29239e7">LoadUnloadResourceList</a>*&gt;::type <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0aa34082b2c1406c9209953c32fa6397">Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Created resources which are ready to be loaded / unloaded. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00335">335</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::Status" ref="a4b15ff98535d242c1bb7912b6007a3a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9">Ogre::ResourceGroupManager::ResourceGroup::Status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9a832fe1c1854534cc89460a355c1561e8"></a><!-- doxytag: member="UNINITIALSED" ref="a4b15ff98535d242c1bb7912b6007a3a9a832fe1c1854534cc89460a355c1561e8" args="" -->UNINITIALSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9a5fd41aebef904c4603a411714061da11"></a><!-- doxytag: member="INITIALISING" ref="a4b15ff98535d242c1bb7912b6007a3a9a5fd41aebef904c4603a411714061da11" args="" -->INITIALISING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9a1a46cc3cb71014c4a85f4a07e1e41f7a"></a><!-- doxytag: member="INITIALISED" ref="a4b15ff98535d242c1bb7912b6007a3a9a1a46cc3cb71014c4a85f4a07e1e41f7a" args="" -->INITIALISED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9a855699c308cdd8ccdb67358e4502c658"></a><!-- doxytag: member="LOADING" ref="a4b15ff98535d242c1bb7912b6007a3a9a855699c308cdd8ccdb67358e4502c658" args="" -->LOADING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4b15ff98535d242c1bb7912b6007a3a9a8ec861cc686d84a5ad41433dd856464c"></a><!-- doxytag: member="LOADED" ref="a4b15ff98535d242c1bb7912b6007a3a9a8ec861cc686d84a5ad41433dd856464c" args="" -->LOADED</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00308">308</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a65465b388927f072dd6449ff7cf745ab"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::addToIndex" ref="a65465b388927f072dd6449ff7cf745ab" args="(const String &amp;filename, Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a65465b388927f072dd6449ff7cf745ab">Ogre::ResourceGroupManager::ResourceGroup::addToIndex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td>
          <td class="paramname"><em>arch</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa1488edee01261bf437111fd5ace2535"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex" ref="aa1488edee01261bf437111fd5ace2535" args="(const String &amp;filename, Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#aa1488edee01261bf437111fd5ace2535">Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td>
          <td class="paramname"><em>arch</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab60f943332043c51b1255739bcd7d138"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex" ref="ab60f943332043c51b1255739bcd7d138" args="(Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#aa1488edee01261bf437111fd5ace2535">Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td>
          <td class="paramname"><em>arch</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3c30f2b5b6146336738c1e50d5bd8734"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::groupStatus" ref="a3c30f2b5b6146336738c1e50d5bd8734" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a4b15ff98535d242c1bb7912b6007a3a9">Status</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a3c30f2b5b6146336738c1e50d5bd8734">Ogre::ResourceGroupManager::ResourceGroup::groupStatus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Group status. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00323">323</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0619634f1a574be476c2171faeb252cc"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::inGlobalPool" ref="a0619634f1a574be476c2171faeb252cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0619634f1a574be476c2171faeb252cc">Ogre::ResourceGroupManager::ResourceGroup::inGlobalPool</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00342">342</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac63251bf3f946d2b4dc42341b61d4d2a"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap" ref="ac63251bf3f946d2b4dc42341b61d4d2a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a0aa34082b2c1406c9209953c32fa6397">LoadResourceOrderMap</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#ac63251bf3f946d2b4dc42341b61d4d2a">Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00336">336</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f040193d573d26cf739005465f4acc7"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::locationList" ref="a9f040193d573d26cf739005465f4acc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#a039c42be59f29534c5883888c969a1c2">LocationList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a9f040193d573d26cf739005465f4acc7">Ogre::ResourceGroupManager::ResourceGroup::locationList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of possible locations to search. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00325">325</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9c7120b86ff8f19d81f0fac0a1523512"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::name" ref="a9c7120b86ff8f19d81f0fac0a1523512" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a9c7120b86ff8f19d81f0fac0a1523512">Ogre::ResourceGroupManager::ResourceGroup::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>General mutex for dealing with group content. </p>
<p>Status-specific mutex, separate from content-changing mutex Group name </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00321">321</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a130233f52a76fc38ca6fadc4d3182a9c"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations" ref="a130233f52a76fc38ca6fadc4d3182a9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#a995494b3213135be428eef21990744e5">ResourceDeclarationList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a130233f52a76fc38ca6fadc4d3182a9c">Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pre-declared resources, ready to be created. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00331">331</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a40aa3f3b164cf9e1b3bf318dcf3c1283"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive" ref="a40aa3f3b164cf9e1b3bf318dcf3c1283" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7bef8c8877dc6bed2c26cbdf7d0b5a1">ResourceLocationIndex</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a40aa3f3b164cf9e1b3bf318dcf3c1283">Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index of resource names to locations, built for speedy access (case insensitive archives) </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00329">329</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8e1f8b2b90535ba8e6a8d81a30888494"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive" ref="a8e1f8b2b90535ba8e6a8d81a30888494" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7bef8c8877dc6bed2c26cbdf7d0b5a1">ResourceLocationIndex</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a8e1f8b2b90535ba8e6a8d81a30888494">Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index of resource names to locations, built for speedy access (case sensitive archives) </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00327">327</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a63a048530dfded3f7e6189743643578a"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::worldGeometry" ref="a63a048530dfded3f7e6189743643578a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a63a048530dfded3f7e6189743643578a">Ogre::ResourceGroupManager::ResourceGroup::worldGeometry</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Linked world geometry, as passed to setWorldGeometry. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00338">338</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c0395505e94f137cf4d5bced4054de6"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager" ref="a5c0395505e94f137cf4d5bced4054de6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#a5c0395505e94f137cf4d5bced4054de6">Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scene manager to use with linked world geometry. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00340">340</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
